Create a timeslot resource allocation
curl --request POST \
--url https://b.anny.co/api/v1/timeslot-resource-allocations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "timeslot-resource-allocations",
"attributes": {
"visible_to_customer": true,
"order_index": 1,
"status": "pending",
"capacity_multiplier": 1,
"imputed_costs": null
},
"relationships": {
"resource": {
"data": {
"id": "15",
"type": "resources"
}
},
"timeslot": {
"data": {
"id": "12",
"type": "timeslots"
}
}
}
},
"meta": {}
}
'import requests
url = "https://b.anny.co/api/v1/timeslot-resource-allocations"
payload = {
"data": {
"type": "timeslot-resource-allocations",
"attributes": {
"visible_to_customer": True,
"order_index": 1,
"status": "pending",
"capacity_multiplier": 1,
"imputed_costs": None
},
"relationships": {
"resource": { "data": {
"id": "15",
"type": "resources"
} },
"timeslot": { "data": {
"id": "12",
"type": "timeslots"
} }
}
},
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'timeslot-resource-allocations',
attributes: {
visible_to_customer: true,
order_index: 1,
status: 'pending',
capacity_multiplier: 1,
imputed_costs: null
},
relationships: {
resource: {data: {id: '15', type: 'resources'}},
timeslot: {data: {id: '12', type: 'timeslots'}}
}
},
meta: {}
})
};
fetch('https://b.anny.co/api/v1/timeslot-resource-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "timeslot-resource-allocations",
"attributes": {
"capacity_multiplier": 123,
"order_index": 123,
"imputed_costs": 123,
"is_externally_blocked": true,
"is_required": true,
"provisioned_at": "2023-11-07T05:31:56Z",
"provisioned_by_booking_id": 123,
"visible_to_customer": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslot": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Availability Settings
Create a timeslot resource allocation
POST
/
api
/
v1
/
timeslot-resource-allocations
Create a timeslot resource allocation
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
OK
A secondary resource attached to a timeslot. Allocations can be provisioned immediately or held as pending capacity for dynamic-capacity slots.
Show child attributes
Show child attributes
⌘I